package org.rcisoft.bus.wmsgoods.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("wms_goods")
public class WmsGoods  extends CyIdIncreEntity<WmsGoods> {


     /**
     * @desc 商品名称
     * @column goods_name
     * @default 
     */
     @Excel(name = "商品名称", orderNum = "0", width = 20)
     private String goodsName;

     /**
     * @desc 商品编码
     * @column goods_code
     * @default 
     */
     @Excel(name = "商品编码", orderNum = "1", width = 20)
     private String goodsCode;

     /**
     * @desc 商品类型
     * @column goods_type
     * @default 
     */
     @Excel(name = "商品类型", orderNum = "2", width = 20)
     private String goodsType;

     /**
     * @desc 商品货号
     * @column goods_article_number
     * @default 
     */
     @Excel(name = "商品货号", orderNum = "3", width = 20)
     private String goodsArticleNumber;

     /**
     * @desc 商品小类
     * @column goods_subclass
     * @default 
     */
     @Excel(name = "商品小类", orderNum = "4", width = 20)
     private String goodsSubclass;

     /**
     * @desc 商品颜色
     * @column goods_colour
     * @default 
     */
     @Excel(name = "商品颜色", orderNum = "5", width = 20)
     private String goodsColour;

     /**
     * @desc 商品规格
     * @column goods_norms
     * @default 
     */
     @Excel(name = "商品规格", orderNum = "6", width = 20)
     private String goodsNorms;

     /**
     * @desc 商品尺码
     * @column goods_size
     * @default 
     */
     @Excel(name = "商品尺码", orderNum = "7", width = 20)
     private String goodsSize;


}

