package org.rcisoft.bus.wmsgoodsstock.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("wms_goods_stock")
public class WmsGoodsStock  extends CyIdIncreEntity<WmsGoodsStock> {


     /**
     * @desc 商品id
     * @column goods_id
     * @default 
     */
     @Excel(name = "商品id", orderNum = "0", width = 20)
     private Integer goodsId;

     /**
     * @desc 商品数量
     * @column goods_counts
     * @default 
     */
     @Excel(name = "商品数量", orderNum = "1", width = 20)
     private Integer goodsCounts;


}

