package org.rcisoft.bus.wmsgoodslog.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("wms_goods_log")
public class WmsGoodsLog  extends CyIdIncreEntity<WmsGoodsLog> {


     /**
     * @desc 1 入 2 出
     * @column io_type
     * @default
     */
     @Excel(name = "出入库状态", orderNum = "0", width = 20 ,replace = {"出_2","入_1"})
     private String ioType;

     /**
     * @desc 商品id
     * @column goods_id
     * @default
     */
     @Excel(name = "商品id", orderNum = "1", width = 20)
     private Integer goodsId;

     /**
     * @desc 商品姓名
     * @column goods_name
     * @default
     */
     @Excel(name = "商品姓名", orderNum = "2", width = 20)
     private String goodsName;

     /**
     * @desc 商品编码
     * @column goods_code
     * @default
     */
     @Excel(name = "商品编码", orderNum = "3", width = 20)
     private String goodsCode;


}

