package org.rcisoft.bus.wmsgoodsstock.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.wmsgoodsstock.entity.WmsGoodsStock;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface WmsGoodsStockRepository extends CyBaseMapper<WmsGoodsStock> {


    List<WmsGoodsStock> queryWmsGoodsStocks(@Param("entity") WmsGoodsStock wmsGoodsStock);

    /**
    * 分页查询 wmsGoodsStock
    *
    */
    IPage<WmsGoodsStock> queryWmsGoodsStocksPaged(CyPageInfo cyPageInfo,@Param("entity") WmsGoodsStock wmsGoodsStock);
}

